Subject: bug#12794: Bug in dd: it sends wrong messages to stderr

From: Ganton <[email-masked]>
Date: Sat, 3 Nov 2012 16:28:49 +0100

Dear sirs:

I send you a bug report.

# DESCRIPTION

Bug in dd: it sends wrong messages to stderr.

For example, when I do backups, I see "errors" from dd... that really aren't. 

# WAY TO REPRODUCE THE BUG

A user can execute:
   partition=$(mount | awk '$2=="on" && $3=="/" {print $1}')
   sudo dd if="$partition" of=/tmp/copseg.dd count=1 bs=512 >/dev/null
and then he sees something like this in his screen:
  1+0 records in
  1+0 records out
  512 bytes (512 B) copied, 0,000129625 s, 3,9 MB/s

# EXPECTED RESULTS:

The user should see nothing, as there was no error and stdout was redirected 
to /dev/null.